//CODE HEM_ToneSEQ ******
int ledPin = 13;      //create a variable to represent LED/tone pin
int buttonPin = 12;   //add a variable for the button pin
int volLED = 10;      //add variable for the Volume LED (must have PWM)
int periodKnob = A0;  //add variable for speed knob pin (A = analog in)
int delayTime;        //create a variable for the delay time
int stepKnob = A1;    //add variable for step number knob pin
int stepNum = 7;      //this is the number of steps the sequencer will play
int seqNum = 0;
byte i = 0;        //i is used to count up through the arrays

//create an array to store volumes
int thisVol[8] =
{255, 128, 0, 10, 4, 15, 6, 50};

//create a 2D array to store frequencies
int thisTone[2][8] = {
  {880, 41, 33, 494, 659, 1047, 62, 73},
  {41, 33, 33, 494, 247, 880, 880, 73}
};

void setup() {
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  //read the step knob to determine how many steps should be played
  //0 is the first item and 7 is the last item in the array
  stepNum = map(analogRead(stepKnob), 0, 1023, 0, 7);

  //check to see if we are at the end of the array, if so
  //start over at 0
  if (i > stepNum) {
    i = 0;
  }

  //the array of notes is a two-dimensional array; it is a list
  //of different lists.
  //we read the button to determine which of the two lists
  //to get our note values from
  if (digitalRead(buttonPin) == LOW) {
    seqNum = 1;
  }

  else {
    seqNum = 0;
  }

  //tone plays a tone based on one of the two arrays defined above
  //seqNum will be 0 or 1 depending on the button state, 0 plays the
  //first list of numbers, 1 plays the second
  //i determines which note in the selected list: 0 is the first, 1
  //is the second, 2 is the third...7 is the last one, then i resets
  tone(ledPin, thisTone[seqNum][i]);

  //the led controlles the volume based on brightness
  //it just has a single array of possibilities, but it could
  //have two different lists just like thisTone
  analogWrite(volLED, thisVol[i]);

  //read the knob and change the direction without using map()
  delayTime = 1023 - analogRead(periodKnob);
  delay(delayTime); //let the note continue while the program pauses
  noTone(ledPin);   //turn off the current note
  i++;             //this adds one to i (increment by one).
}
//**********END OF CODE
