//CODE HEM_VolumeOSC_tone ******
int tonePin = 13;      //create a variable to represent LED Pin
int buttonPin = 12;   //add variable for the button pin
int volLED = 10;      //add variable for the Volume LED
int periodKnob = A0;  //add variable for knob pin (A = analog in)
int volumeKnob = A1;  //add variable for knob pin (A = analog in)
int knobVal;        //create a variable for the delay time
int fadeVal = 0;      //create a variable to store the brightness of the LED

void setup() {
  pinMode(tonePin, OUTPUT); //configure pin 13 as an output
  //INPUT_PULLUP sets the pin high. It gets pulled "low" by
  //connecting it to ground through a button
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  //set variable knobVal equal to the current value read on analog pin 0
  knobVal = analogRead(periodKnob);
  
  //map the frequency range from 0 - 1023 to 110 - 1760
  int toneFreq = map(knobVal, 0, 1023, 110, 1760);
  
  tone(tonePin, toneFreq);

  //check the button. It will be LOW if pressed
  //If the button is pressed, write fade value to the LED:
  if (digitalRead(buttonPin) == LOW) {
    //read the fade knob and scale the range from
    //10bits (0 - 1023) to 8 bits (0 - 255)
    //analogRead is 10 bits
    //analogWrite is 8 bits
    //1023 divided by 4 is 255 (faster than map())
    fadeVal = analogRead(volumeKnob) / 4;
    analogWrite(volLED, fadeVal);
  }

  else {
    //do nothing if button
    analogWrite(volLED, 0);
  }

}
//**********END OF CODE
